##############################################################################
# REPLACE STRINGS
#
# USED NAMES:
# samplename (KSM-Backup-Lang)	= PkgName
# sampledir (ksm-backup-lang)	= pkg-dirname = pkg-filename (ksm-xxx)
# sampleconf (sampleconf)	= config file name (no extension)
# sampledm (sampledm)		= the daemon (rc-script, rc-link, systemd.service)
# sample (sample)		= all others
##############################################################################

# Specfile for KSM-Backup-Lang

%define name		ksm-backup-lang
%define version		3.0.1
%define release		3.2.0
%define _arch		noarch
%define _srcfile	%{_topdir}/SOURCES/%{name}.tgz
%define _confdir	/usr/local/etc
%define _scnfdir	/etc/sysconfig
%define _rcdir		/etc/init.d
%define _bindir		/usr/local/bin
%define _rbindir	/root/bin
%define _ubindir	/home/USR/bin
%define _datadir	/usr/local/share/%{name}
%define _icondir	/usr/share/icons/hicolor
%define _man1dir	/usr/local/share/man/de/man1
%define _man3dir	/usr/local/share/man/de/man3
%define _man7dir	/usr/local/share/man/de/man7
%define _man8dir	/usr/local/share/man/de/man8
%define _docdir		/usr/local/share/doc/packages/%{name}
%define _langdir	/usr/local/share/ksm-backup/lang

Summary:	Additional languages for package ksm-backup
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Productivity/Other
Source:		%{name}.tgz
URL:		http://www.kaesmann-online.de/
#BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:	%{_arch}
#BuildRequires:	ksm-backup-langpkg,ksm-backup-langcapab
Requires:	ksm-backup == %{version}-%{release}
#Provides:	ksm-backup-langd
#Conflicts:	ksm-backup-langd-other,libksm-backup-lang == 0.0.0
#Obsoletes:	myksm-backup-langd

%description
This package contains additional languages for the package ksm-backup. 
Here comes support for german.

#---------------------- ALL PACKAGES -----------------------------------------
%install
%{__rm} -rf $RPM_BUILD_ROOT
#%makeinstall or make DESTDIR=$RPM_BUILD_ROOT install
%{__mkdir} $RPM_BUILD_ROOT
%{__tar} -C $RPM_BUILD_ROOT -xpzf %{_srcfile}
%{__rm} -rf $RPM_BUILD_ROOT/help*

%clean
%{__rm} -rf $RPM_BUILD_DIR/*
%{__rm} -rf $RPM_BUILD_ROOT

#-----------------------------------------------------------------------------
%files
#%defattr(-,root,root)
%defattr(0644,root,root)

# use .rpmsave .rpmnew .rpmorig
# In case of (noreplace) modified config will not be overwritten.
# If config has been modified then new file goes to config.rpmnew
#%config(noreplace) %{_confdir}/ksm-backup-lang.conf
#%config %{_confdir}/ksm-backup-lang.conf
#%config %{_scnfdir}/ksm-backup-lang
#%{_confdir}/ksm-backup-lang.conf

#%attr(744,root,root)/%{_rcdir}/ksm-backup-langd
#%attr(777,root,root)%{_bindir}/rcksm-backup-langd

#%attr(755,root,root)%{_bindir}/ksm-backup-lang

%{_datadir}/RELEASE
%{_datadir}/VERSION

%{_langdir}/ksm-backup.de

#/usr/share/applications/ksm-backup-lang.desktop
#%{_icondir}/16x16/apps/ksm-backup-lang.png
#%{_icondir}/22x22/apps/ksm-backup-lang.png
#%{_icondir}/32x32/apps/ksm-backup-lang.png
#%{_icondir}/48x48/apps/ksm-backup-lang.png
#%{_icondir}/64x64/apps/ksm-backup-lang.png
#%{_icondir}/128x128/apps/ksm-backup-lang.png
#/usr/share/pixmaps/ksm-backup-lang.png

#%docdir %{_man1dir}
#%{_man1dir}/ksm-backup-lang.1.gz

%docdir %{_man8dir}
%{_man8dir}/ksm-backup.8.gz

%docdir %{_docdir}
%{_docdir}/ChangeLog
%{_docdir}/GPL-2.0.txt
%{_docdir}/LGPL-2.1.txt
%{_docdir}/README
%{_docdir}/README.de

#---------------------- ORDER OF SCRIPTLETS ----------------------------------
# O=old pkg, N=new pkg

# INSTALL:
# 1. Run %pre section of N		(Arg is 1)
# 2. Install files from N
# 3. Run %post section of N		(Arg is 1)

# UNINSTALL:
# 1. Run %preun section of O		(Arg is 0)
# 2. Delete files from O
# 3. Run %postun section of O		(Arg is 0)

# UPGRADE:
#  1. Run %pre section of O		(Arg is 2)
#  2. Install files from N
#  3. Run %post section of N		(Arg is 2)
#  4. Execute install. triggers (%triggerin in other pkgs) set off by install N
#  5. Execute installation triggers of N
#  6. Execute uninstallation triggers (%triggerun) of O
#  7. Execute uninstallation triggers (of other pkgs) set off by uninstall O
#  8. Run %preun section of O		(Arg is 1)
#  9. Delete files from O not contained in N
# 10. Run %postun section of O		(Arg is 1)

#-----------------------------------------------------------------------------
%pre
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# backup config files
#test -e %{_confdir}/ksm-backup-lang.conf && cp %{_confdir}/ksm-backup-lang.conf %{_confdir}/ksm-backup-lang.conf.rpmsave
#test -e %{_scnfdir}/ksm-backup-lang && cp %{_scnfdir}/ksm-backup-lang %{_scnfdir}/ksm-backup-lang.rpmsave

# disable ksm-backup-lang and stop ksm-backup-langd
#test -x %{_bindir}/toggleksm-backup-lang && %{_bindir}/toggleksm-backup-lang -d -q > /dev/null 2>&1
#test -x %{_rcdir}/ksm-backup-langd && %{_rcdir}/ksm-backup-langd stop > /dev/null 2>&1

# remove links
#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog

# uninstall desktop files
#xdg-desktop-menu uninstall \
#	/usr/share/applications/ksm-backup-lang.directory \
#	/usr/share/applications/ksm-backup-lang.desktop \
#	/usr/share/applications/ksm-backup-lang-admin.desktop

#if [ "$1" == 1 ]; then					# install package
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%post
# Arg $1 to this script (count of pkgs after new installation) = 1
# Arg $1 to this script (count of pkgs during upgrade) = 2

# set config pathname and all config vars from new config file
#cf=%{_confdir}/ksm-backup-lang.conf
#cnfvars='MyVar1 MyVar2'

# set links to other pkgs
#ln -sf /usr/bin/prog %{_bindir}/myprog

# install desktop files
#xdg-desktop-menu install --novendor \
#	/usr/share/applications/ksm-backup-lang.directory \
#	/usr/share/applications/ksm-backup-lang.desktop \
#	/usr/share/applications/ksm-backup-lang-admin.desktop

#if [ "$1" == 1 ]; then					# install package
#	echo "Please configure $cf"
#	echo "Users should create their HOME.ksm-backup-langrc with update-ksm-backup-lang"
#else							# upgrade package
#	# update global conf
#	#updcmd="%{_bindir}/update-ksm-backup-lang -q"
#	if [ -e $cf.rpmsave ]; then
#		#cp $cf $cf.rpmnew
#		. $cf
#		. $cf.rpmsave
#		if [ -x %{_bindir}/replcnfvar ]; then
#			for c in $cnfvars; do
#				t="\$$c"
#				eval s="$t"
#				s=\"$s\"
#				%{_bindir}/replcnfvar $cf $c "$s"
#			done
#		else
#			echo "Error - cmd replcnfvar not found or not executable!" >&2
#			echo "Conf file not updated!" >&2
#		fi
#
#		# update array vars MainArr
#		cnt=${#MainArr[@]}			# max index of array
#		i=0
#		if [ "$cnt" -gt 0 ]; then		# any arrays in use?
#			while [ "$i" -lt $cnt ]; do
#				let i++
#				# array MainArr
#				s="MainArr[$i]=\"${MainArr[$i]}\""
#				echo "$s" >> $cf	# append to conf file
#			done
#		fi
#
#		diff $cf $cf.rpmsave > /dev/null 2>&1
#		ret=$?
#		if [ "$ret" -eq 0 ]; then
#			rm $cf.rpmsave
#		else
#			echo "Please check $cf"
#		fi
#	fi
#
#	echo "Users should update their HOME/.ksm-backup-langrc with update-ksm-backup-lang"
#fi
exit 0

#-----------------------------------------------------------------------------
%preun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

#if [ "$1" == 0 ]; then					# remove package
	# backup config files
	#test -e %{_confdir}/ksm-backup-lang.conf && cp %{_confdir}/ksm-backup-lang.conf %{_confdir}/ksm-backup-lang.conf.rpmsave
	#test -e %{_scnfdir}/ksm-backup-lang && cp %{_scnfdir}/ksm-backup-lang %{_scnfdir}/ksm-backup-lang.rpmsave

	# disable ksm-backup-lang and stop ksm-backup-langd
	#test -x %{_bindir}/toggleksm-backup-lang && %{_bindir}/toggleksm-backup-lang -d -q > /dev/null 2>&1
	#test -x %{_rcdir}/ksm-backup-langd && %{_rcdir}/ksm-backup-langd stop > /dev/null 2>&1

	# remove links
	#test -e %{_bindir}/myprog && rm -f %{_bindir}/myprog

	# uninstall desktop files
	#xdg-desktop-menu uninstall \
	#	/usr/share/applications/ksm-backup-lang.directory \
	#	/usr/share/applications/ksm-backup-lang.desktop \
	#	/usr/share/applications/ksm-backup-lang-admin.desktop
#else							# upgrade package
#fi
exit 0

#-----------------------------------------------------------------------------
%postun
# Arg $1 to this script (count of pkgs after erasing) = 0
# Arg $1 to this script (count of pkgs after upgrade) = 1

if [ "$1" == 0 ]; then					# remove package
	rmdir --ignore-fail-on-non-empty %{_docdir}
	rmdir --ignore-fail-on-non-empty %{_datadir}
	#rmdir --ignore-fail-on-non-empty /var/lib/ksm-backup-lang

#else							# upgrade package
fi
exit 0

%changelog
* Tue Dec 05 2023 Repomaster <repomaster@kaesmann-online.de> 3.0.1-3.2.0
- Package ksm-backup has been modified.
  The language package follow this.

* Fri Sep 22 2023 Repomaster <repomaster@kaesmann-online.de> 3.0.1-3.1.0
- Package ksm-backup has been modified.
  The language package follow this.

* Thu Apr 06 2023 Repomaster <repomaster@kaesmann-online.de> 3.0.1-3.0.0
- Package ksm-backup has been modified.
  The language package follow this.

* Fri Mar 03 2023 Repomaster <repomaster@kaesmann-online.de> 3.0.1-2.0.0
- Package ksm-backup has been modified.
  The language package follow this.

* Mon Dec 12 2022 Repomaster <repomaster@kaesmann-online.de> 3.0.1-1.1.0
- Package ksm-backup has been modified.
  The language package follow this.

* Mon Nov 14 2022 Repomaster <repomaster@kaesmann-online.de> 3.0.1-1.0.0
- Package ksm-backup has been modified.
  The language package follow this.

* Fri Apr 08 2022 Repomaster <repomaster@kaesmann-online.de> 3.0.1-0.0.0
- Package ksm-backup has been modified.
  The language package follow this.

* Sat Mar 26 2022 Repomaster <repomaster@kaesmann-online.de> 3.0.0-2.0.0
- Package ksm-backup has been modified.
  The language package follow this.

* Sun Feb 06 2022 Repomaster <repomaster@kaesmann-online.de> 3.0.0-1.0.0
- Package ksm-backup has been modified.
  The language package follow this.

* Fri Jan 07 2022 Repomaster <repomaster@kaesmann-online.de> 3.0.0-0.0.0
- Package ksm-backup has been modified
  (The language package follow this).

* Sun Jan 02 2022 Repomaster <repomaster@kaesmann-online.de> 2.0.1-0.0.0
- Package ksm-backup has been modified
  (The language package follow this).

* Sun Jan 02 2022 Repomaster <repomaster@kaesmann-online.de> 2.0.0-1.0.0
- Package ksm-backup has been modified
  (The language package follow this).

* Thu Dec 23 2021 Repomaster <repomaster@kaesmann-online.de> 2.0.0-0.0.0
- Package ksm-backup has been modified
  (The language package follow this).

* Mon Feb 24 2020 Repomaster <repomaster@kaesmann-online.de> 1.3.0-0.2.0
- Package ksm-backup has been revised/improved
  (The language package follow this).

* Thu Feb 14 2019 Repomaster <repomaster@kaesmann-online.de> 1.3.0-0.1.0
- Package ksm-backup has revised
  (The language package follow this).

* Tue Dec 11 2018 Repomaster <repomaster@kaesmann-online.de> 1.3.0-0.0.0
- Package ksm-backup has revised
  (The language package follow this).

* Mon Dec 10 2018 Repomaster <repomaster@kaesmann-online.de> 1.2.0-0.0.0
- Package ksm-backup has revised
  (The language package follow this).

* Wed Nov 21 2018 Repomaster <repomaster@kaesmann-online.de> 1.1.0-2.10.0
- Package ksm-backup has revised
  (The language package follow this).

* Mon Nov 19 2018 Repomaster <repomaster@kaesmann-online.de> 1.1.0-2.9.0
- Package ksm-backup has revised
  (The language package follow this).

* Sun Dec 10 2017 Repomaster <repomaster@kaesmann-online.de> 1.1.0-2.8.0
- Package ksm-backup has revised
  (The language package follow this).

* Wed Apr 12 2017 Repomaster <repomaster@kaesmann-online.de> 1.1.0-2.7.0
- Package ksm-backup has revised
  (The language package follow this).

* Sun Jan 22 2017 Repomaster <repomaster@kaesmann-online.de> 1.1.0-2.6.0
- Package ksm-backup has revised
  (The language package follow this).

* Mon Jan 16 2017 Repomaster <repomaster@kaesmann-online.de> 1.1.0-2.5.0
- Package ksm-backup has revised
  (The language package follow this).

* Tue Oct 04 2016 Repomaster <repomaster@kaesmann-online.de> 1.1.0-2.4.0
- Package ksm-backup has revised
  (The language package follow this).

* Mon Sep 12 2016 Repomaster <repomaster@kaesmann-online.de> 1.1.0-2.0.0
- Package ksm-backup has revised
  (The language package follow this).

* Fri Apr 08 2016 Repomaster <repomaster@kaesmann-online.de> 1.1.0-0.0.0
- Package ksm-backup has changed Version/Release.
- The language files have been revised.

* Thu Apr 07 2016 Repomaster <repomaster@kaesmann-online.de> 1.0.0-0.0.0
- Package ksm-backup has changed Version/Release.

* Thu Apr 07 2016 Repomaster <repomaster@kaesmann-online.de> 0.0.1-0.0.0
- The package has been revised.
- Added german language file and manpage
  for script ksm-backup.

* Wed Apr 06 2016 Repomaster <repomaster@kaesmann-online.de> 0.0.0-0.0.0
- This is the 1. version.
